Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccountType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceAccountType extends VoiceAccountTypeAbstract
Класс-модель типа аккаунта модуля Voice. Содержит информацию о том, что из себя может представлять аккаунт (поинт, правило, логин в понятиях модулей Phone/VoiceIP). Можно использовать как справочник: getContext().getDirectory( VoiceAccountType.class )...

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `isOperator`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccountType()`
  `VoiceAccountType(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getSessionCountLimit()`
  `String`
  `getStatusConfig()`
  `boolean`
  `isCheckPassword()`
  Флаг отвечает за необходимость включения проверки пароля.
  `boolean`
  `isNeedDevice()`
  `boolean`
  `isNeedLines()`
  `boolean`
  `isNeedLogin()`
  `boolean`
  `isNeedObject()`
  `boolean`
  `isNeedPhone()`
  `boolean`
  `isNeedPorts()`
  `boolean`
  `isSessionCountLimitLock()`
  `VoiceAccountType`
  `setCheckPassword(boolean checkPassword)`
  Устанавливает флаг необходимости проверки пароля для аккаунта.
  `VoiceAccountType`
  `setNeedDevice(boolean needDevice)`
  `VoiceAccountType`
  `setNeedLines(boolean needLines)`
  `VoiceAccountType`
  `setNeedLogin(boolean needLogin)`
  `VoiceAccountType`
  `setNeedObject(boolean needObject)`
  `VoiceAccountType`
  `setNeedPhone(boolean needPhone)`
  `VoiceAccountType`
  `setNeedPorts(boolean needPorts)`
  `VoiceAccountType`
  `setSessionCountLimit(byte sessionCountLimit)`
  `VoiceAccountType`
  `setSessionCountLimitLock(boolean sessionCountLimitLock)`
  `VoiceAccountType`
  `setStatusConfig(String statusConfig)`
  `VoiceAccountType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

  `getConfig, isOperator, setConfig`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceAccountType

    public VoiceAccountType()

  - ### VoiceAccountType

    public VoiceAccountType(int id, String title)

- ## Method Details

  - ### getSessionCountLimit

    public byte getSessionCountLimit()

  - ### getStatusConfig

    public String getStatusConfig()

  - ### isCheckPassword

    public boolean isCheckPassword()
    Флаг отвечает за необходимость включения проверки пароля. Например, для входящих звонков не нужно проверять пароль.
    Returns:
      Возможные значения:
  - true - надо проверять;
  - false - не надо проверять.

- ### isNeedDevice

  public boolean isNeedDevice()

- ### isNeedLines

  public boolean isNeedLines()

- ### isNeedLogin

  public boolean isNeedLogin()

- ### isNeedObject

  public boolean isNeedObject()

- ### isNeedPhone

  public boolean isNeedPhone()

- ### isNeedPorts

  public boolean isNeedPorts()

- ### isSessionCountLimitLock

  public boolean isSessionCountLimitLock()

- ### setCheckPassword

  public VoiceAccountType setCheckPassword(boolean checkPassword)
  Устанавливает флаг необходимости проверки пароля для аккаунта.
  Parameters:
    `checkPassword` - Возможные значения:
- true - надо проверять;
- false - не надо проверять.

- ### setNeedDevice

  public VoiceAccountType setNeedDevice(boolean needDevice)

- ### setNeedLines

  public VoiceAccountType setNeedLines(boolean needLines)

- ### setNeedLogin

  public VoiceAccountType setNeedLogin(boolean needLogin)

- ### setNeedObject

  public VoiceAccountType setNeedObject(boolean needObject)

- ### setNeedPhone

  public VoiceAccountType setNeedPhone(boolean needPhone)

- ### setNeedPorts

  public VoiceAccountType setNeedPorts(boolean needPorts)

- ### setSessionCountLimit

  public VoiceAccountType setSessionCountLimit(byte sessionCountLimit)

- ### setSessionCountLimitLock

  public VoiceAccountType setSessionCountLimitLock(boolean sessionCountLimitLock)

- ### setStatusConfig

  public VoiceAccountType setStatusConfig(String statusConfig)

- ### setTitle

  public VoiceAccountType setTitle(String title)
  Description copied from class: `IdTitle`
  Устанавливает название (описание) объекта
  Overrides:
    `setTitle` in class `IdTitle`